summaryrefslogtreecommitdiff
path: root/tools/install.sh
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2019-10-21 16:42:06 +0200
committerMarc Cornellà <marc.cornella@live.com>2019-10-21 17:00:04 +0200
commit534ec60bfd14ee640076c7594ee4fa723fafd1b1 (patch)
treef456e082fa38f9b865427b18b451e3c34dab9c93 /tools/install.sh
parenta7c740b1d7d0033c6de118439c7935962b2a5c2a (diff)
downloadzsh-534ec60bfd14ee640076c7594ee4fa723fafd1b1.tar.gz
zsh-534ec60bfd14ee640076c7594ee4fa723fafd1b1.tar.bz2
zsh-534ec60bfd14ee640076c7594ee4fa723fafd1b1.zip
Set default git-config values known to fix repository issues
- core.autocrlf=false -> #4069 - fsck.zeroPaddedFilemode -> #4963 Fixes #4069 Fixes #4963
Diffstat (limited to 'tools/install.sh')
-rwxr-xr-xtools/install.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 61010214e..a5a90e6f6 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -90,7 +90,11 @@ setup_ohmyzsh() {
exit 1
fi
- git clone --depth=1 --branch "$BRANCH" "$REMOTE" "$ZSH" || {
+ git clone -c core.eol=lf -c core.autocrlf=false \
+ -c fsck.zeroPaddedFilemode=ignore \
+ -c fetch.fsck.zeroPaddedFilemode=ignore \
+ -c receive.fsck.zeroPaddedFilemode=ignore \
+ --depth=1 --branch "$BRANCH" "$REMOTE" "$ZSH" || {
error "git clone of oh-my-zsh repo failed"
exit 1
}